### Signal

# WPEWebKit WebResource::sent-request

since: 2.0

#### Declaration

    void
    sent_request (
      WebKitWebResource* self,
      WebKitURIRequest* request,
      WebKitURIResponse* redirected_response,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when `request` has been sent to the server. In case of a server redirection this signal is emitted again with the `request` argument containing the new request sent to the server due to the redirection and the `redirected_response` parameter containing the response received by the server for the initial request.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.0

#### Parameters

`request`

  Type: `WebKitURIRequest`

  A `WebKitURIRequest`.

  The data is owned by the caller of the function.

`redirected_response`

  Type: `WebKitURIResponse`

  A `WebKitURIResponse`, or `NULL`.

  The data is owned by the caller of the function.